From: "Alexis Ballier" <aballier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/vcstools/
Date: Thu, 17 Sep 2015 08:55:26 +0000 (UTC) [thread overview]
Message-ID: <1442480115.2bdd3d55e7ef03fdd661b4a315db08c7309b3a97.aballier@gentoo> (raw)
commit: 2bdd3d55e7ef03fdd661b4a315db08c7309b3a97
Author: Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 17 08:55:01 2015 +0000
Commit: Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Thu Sep 17 08:55:15 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2bdd3d55
dev-python/vcstools: initial import; ebuild by me.
Package-Manager: portage-2.2.20.1
dev-python/vcstools/Manifest | 1 +
dev-python/vcstools/metadata.xml | 5 +++
dev-python/vcstools/vcstools-0.1.37.ebuild | 59 ++++++++++++++++++++++++++++++
dev-python/vcstools/vcstools-9999.ebuild | 59 ++++++++++++++++++++++++++++++
4 files changed, 124 insertions(+)
diff --git a/dev-python/vcstools/Manifest b/dev-python/vcstools/Manifest
new file mode 100644
index 0000000..6f56cb3
--- /dev/null
+++ b/dev-python/vcstools/Manifest
@@ -0,0 +1 @@
+DIST vcstools-0.1.37.tar.gz 54213 SHA256 8d66379c5e5772a42b9680c9120a718bdc904745be22096d1f2bd5934cd625fc SHA512 c2992fd9977dd5cb0090319b828add26f60769bb7649d873e8edcac45c23a913667cde31f7ab658d5ce7de82930a5eb0ea9083994ea93b6ee9433966e70ee7b2 WHIRLPOOL aea89a863217ad09e2d183aa04f5c5173f6e7330ff2bfa1e713ab910f3ad0017e95fbf69c1cd94c10e20b7baa5974ad40fe9efda546860ef2a35f100808eb09e
diff --git a/dev-python/vcstools/metadata.xml b/dev-python/vcstools/metadata.xml
new file mode 100644
index 0000000..c42ea5b
--- /dev/null
+++ b/dev-python/vcstools/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>ros</herd>
+</pkgmetadata>
diff --git a/dev-python/vcstools/vcstools-0.1.37.ebuild b/dev-python/vcstools/vcstools-0.1.37.ebuild
new file mode 100644
index 0000000..d7a8169
--- /dev/null
+++ b/dev-python/vcstools/vcstools-0.1.37.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SCM="git-r3"
+ EGIT_REPO_URI="https://github.com/vcstools/vcstools"
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Python library for interacting with various VCS systems"
+HOMEPAGE="http://wiki.ros.org/vcstools"
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="http://download.ros.org/downloads/${PN}/${P}.tar.gz
+ http://github.com/vcstools/vcstools/archive/${PV}.tar.gz -> ${P}.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-vcs/git
+ dev-vcs/bzr
+ dev-vcs/mercurial
+ dev-vcs/subversion
+ )
+"
+
+python_test() {
+ # From travis.yml
+ # Set git config to silence some stuff in the tests
+ git config --global user.email "foo@example.com"
+ git config --global user.name "Foo Bar"
+ # Set the hg user
+ echo -e "[ui]\nusername = Your Name <your@mail.com>" >> ~/.hgrc
+ # Set the bzr user
+ bzr whoami "Your Name <name@example.com>"
+ #git config --global user.email "you@example.com"
+ #git config --global user.name "Your Name"
+
+ nosetests --with-coverage --cover-package vcstools || die
+}
diff --git a/dev-python/vcstools/vcstools-9999.ebuild b/dev-python/vcstools/vcstools-9999.ebuild
new file mode 100644
index 0000000..d7a8169
--- /dev/null
+++ b/dev-python/vcstools/vcstools-9999.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SCM="git-r3"
+ EGIT_REPO_URI="https://github.com/vcstools/vcstools"
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Python library for interacting with various VCS systems"
+HOMEPAGE="http://wiki.ros.org/vcstools"
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="http://download.ros.org/downloads/${PN}/${P}.tar.gz
+ http://github.com/vcstools/vcstools/archive/${PV}.tar.gz -> ${P}.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-vcs/git
+ dev-vcs/bzr
+ dev-vcs/mercurial
+ dev-vcs/subversion
+ )
+"
+
+python_test() {
+ # From travis.yml
+ # Set git config to silence some stuff in the tests
+ git config --global user.email "foo@example.com"
+ git config --global user.name "Foo Bar"
+ # Set the hg user
+ echo -e "[ui]\nusername = Your Name <your@mail.com>" >> ~/.hgrc
+ # Set the bzr user
+ bzr whoami "Your Name <name@example.com>"
+ #git config --global user.email "you@example.com"
+ #git config --global user.name "Your Name"
+
+ nosetests --with-coverage --cover-package vcstools || die
+}
next reply other threads:[~2015-09-17 8:55 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-09-17 8:55 Alexis Ballier [this message]
-- strict thread matches above, loose matches on Subject: below --
2016-02-23 18:49 [gentoo-commits] repo/gentoo:master commit in: dev-python/vcstools/ Alexis Ballier
2016-02-23 18:49 Alexis Ballier
2016-09-05 9:38 Alexis Ballier
2018-01-13 12:16 Alexis Ballier
2018-06-26 18:46 Pacho Ramos
2019-12-12 12:31 Alexis Ballier
2019-12-12 12:31 Alexis Ballier
2020-08-17 12:53 Sam James
2021-09-26 17:45 Arthur Zamarin
2021-09-26 17:45 Arthur Zamarin
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1442480115.2bdd3d55e7ef03fdd661b4a315db08c7309b3a97.aballier@gentoo \
--to=aballier@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox